Bug 29151 - libgmp10 not obsolete older libgmp (for compatibility with older packages)?
: libgmp10 not obsolete older libgmp (for compatibility with older packages)?
Status: CLOSED FIXED
: Branch p7
(All bugs in Branch p7/libgmp10)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
: 29152
:
  Show dependency tree
 
Reported: 2013-07-07 22:50 by
Modified: 2013-07-29 05:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-07-07 22:50:37
libgmp10 has no file conflicts with older libgmp (from p6), but the rpm
formally obsoletes older libgmp.

If libgmp10 didn't obsolete libgmp (for example, from p6), then ti would be
possible to upgrade some individual packages from p7 (or Sisyphus) in a p6
system.

I could do the following as a workaround:

rpm -ihv libgmp10-5.1.2-alt1.i586.rpm
echo 'RPM::Allow-Duplicated { "libgmp"; };' >
/etc/apt/apt.conf.d/libgmp-compat.conf

Now:

# rpm -qa 'libgmp*'
libgmp-4.3.2-alt3
libgmp-devel-4.3.2-alt3
libgmp10-5.1.2-alt1
# 

(What was the use of this?

After that, I was able to install ghc and rpm-build-haskell from p6 (or t6),
and then switch to p7, and:

apt-get install rpm-build-haskell ghc7.6.1 pandoc

without touching the rest of the system.

Then, I could even switch to Sisyphus and apt-get install pandoc

Ultimately, I have installed the new versions of pandoc without touching much
of the rest of the system:

# rpm -q rpm-build-haskell ghc7.6.1 pandoc
rpm-build-haskell-1-alt23
ghc7.6.1-7.6.1-alt5
pandoc-1.11.1-alt1
#
------- Comment #1 From 2013-07-07 23:05:12 -------
Correction: instead of

echo 'RPM::Allow-Duplicated { "libgmp"; };' >
/etc/apt/apt.conf.d/libgmp-compat.conf

it's better to put a more precise pattern there:

echo 'RPM::Allow-Duplicated { "^libgmp$"; };' >
/etc/apt/apt.conf.d/libgmp-compat.conf
------- Comment #2 From 2013-07-15 15:11:30 -------
Fixed gmp-5.1.2-alt2 is being copied from Sisyphus to p7.
------- Comment #3 From 2013-07-29 05:53:54 -------
Thanks! Now it's OK in p7, too.